summaryrefslogtreecommitdiffstats
path: root/etc/rc.d/yppasswdd
diff options
context:
space:
mode:
Diffstat (limited to 'etc/rc.d/yppasswdd')
-rwxr-xr-xetc/rc.d/yppasswdd37
1 files changed, 12 insertions, 25 deletions
diff --git a/etc/rc.d/yppasswdd b/etc/rc.d/yppasswdd
index 6d705fa..8d82d08 100755
--- a/etc/rc.d/yppasswdd
+++ b/etc/rc.d/yppasswdd
@@ -16,34 +16,21 @@ command="/usr/sbin/rpc.${name}"
start_precmd="yppasswdd_precmd"
load_rc_config $name
-case ${OSTYPE} in
-FreeBSD)
- rcvar="nis_yppasswdd_enable"
- command_args="${nis_yppasswdd_flags}"
- ;;
-NetBSD)
- rcvar=$name
- required_vars="rpcbind ypserv"
- ;;
-esac
+rcvar="nis_yppasswdd_enable"
+command_args="${nis_yppasswdd_flags}"
yppasswdd_precmd()
{
- case ${OSTYPE} in
- FreeBSD)
- if ! checkyesno rpcbind_enable && \
- ! /etc/rc.d/rpcbind forcestatus 1>/dev/null 2>&1
- then
- force_depend rpcbind || return 1
- fi
- if ! checkyesno nis_server_enable && \
- ! /etc/rc.d/ypserv forcestatus 1>/dev/null 2>&1
- then
- force_depend ypserv || return 1
- fi
- ;;
- esac
-
+ if ! checkyesno rpcbind_enable && \
+ ! /etc/rc.d/rpcbind forcestatus 1>/dev/null 2>&1
+ then
+ force_depend rpcbind || return 1
+ fi
+ if ! checkyesno nis_server_enable && \
+ ! /etc/rc.d/ypserv forcestatus 1>/dev/null 2>&1
+ then
+ force_depend ypserv || return 1
+ fi
_domain=`domainname`
if [ -z "$_domain" ]; then
warn "NIS domainname(1) is not set."
OpenPOWER on IntegriCloud